// Copyright (c) 2018 Kerlink SA. All rights reserved.

#ifndef _CORE_DRIVERS_GPIO_H_
#define _CORE_DRIVERS_GPIO_H_

#define GPIO_LOW (0 << 0)
#define GPIO_HIGH (1 << 0)
#define GPIO_INPUT (0 << 1)
#define GPIO_OUTPUT (1 << 1)

void *gpio_open(int id);
int gpio_close(void *device);

int gpio_get_mode(void *device);
int gpio_set_mode(void *device, int mode);

int gpio_get_value(void *device);
int gpio_set_value(void *device, int value);

#endif
