// Copyright (c) 2018 Kerlink SA. All rights reserved.

#ifndef _CORE_DRIVERS_SX1239_H_
#define _CORE_DRIVERS_SX1239_H_

#include <stdint.h>

void *sx1239_open(const char *spidev, int enable, int reset);
int sx1239_close(void *device);

int sx1239_set_dcc_freq(void *device, uint8_t df);
int sx1239_set_lna_gain(void *device, uint8_t lg);
int sx1239_set_bw(void *device, uint32_t bw);
int sx1239_set_br(void *device, uint32_t br);

int sx1239_start_rx(void *device, uint32_t freq);
int sx1239_rssi(void *device);

#endif
